package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.SysFiringInfo;
import com.flossom.common.core.mapper.SysFiringInfoMapper;
import com.flossom.common.core.utils.DateUtils;
import com.flossom.common.security.utils.SecurityUtils;
import com.flossom.system.api.model.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.ISysFiringInfoService;

/**
 * 登录信息Service业务层处理
 *
 * @author flossom
 * @date 2023-11-29
 */
@Service
public class SysFiringInfoServiceImpl implements ISysFiringInfoService
{
    @Autowired
    private SysFiringInfoMapper sysFiringInfoMapper;

    /**
     * 查询登录信息
     *
     * @param id 登录信息主键
     * @return 登录信息
     */
    @Override
    public SysFiringInfo selectSysFiringInfoById(Long id)
    {
        return sysFiringInfoMapper.selectSysFiringInfoById(id);
    }

    /**
     * 查询登录信息列表
     *
     * @param sysFiringInfo 登录信息
     * @return 登录信息
     */
    @Override
    public List<SysFiringInfo> selectSysFiringInfoList(SysFiringInfo sysFiringInfo)
    {
        return sysFiringInfoMapper.selectSysFiringInfoList(sysFiringInfo);
    }

    /**
     * 新增登录信息
     *
     * @param sysFiringInfo 登录信息
     * @return 结果
     */
    @Override
    public int insertSysFiringInfo(SysFiringInfo sysFiringInfo)
    {
        sysFiringInfo.setCreateTime(DateUtils.getNowDate());
        sysFiringInfo.setCreateBy(SecurityUtils.getLoginUser().getUsername());
        return sysFiringInfoMapper.insertSysFiringInfo(sysFiringInfo);
    }

    /**
     * 修改登录信息
     *
     * @param sysFiringInfo 登录信息
     * @return 结果
     */
    @Override
    public int updateSysFiringInfo(SysFiringInfo sysFiringInfo)
    {
        sysFiringInfo.setUpdateBy(SecurityUtils.getLoginUser().getUsername());
        sysFiringInfo.setUpdateTime(DateUtils.getNowDate());
        return sysFiringInfoMapper.updateSysFiringInfo(sysFiringInfo);
    }

    /**
     * 批量删除登录信息
     *
     * @param ids 需要删除的登录信息主键
     * @return 结果
     */
    @Override
    public int deleteSysFiringInfoByIds(Long[] ids)
    {
        try {
            for (long id: ids) {
                SysFiringInfo sysFiringInfo = new SysFiringInfo();
                sysFiringInfo.setId(id);
                sysFiringInfo.setDelFlag("1");
                sysFiringInfoMapper.updateSysFiringInfo(sysFiringInfo);
            }
        } catch (Exception e) {
            return 0;
        }

        return 1;
    }

    /**
     * 删除登录信息信息
     *
     * @param id 登录信息主键
     * @return 结果
     */
    @Override
    public int deleteSysFiringInfoById(Long id)
    {
        return sysFiringInfoMapper.deleteSysFiringInfoById(id);
    }
}
